InternalElementMapping (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.fo.extensions

## Class InternalElementMapping

- java.lang.Object
- - org.apache.fop.fo.ElementMapping
  - - org.apache.fop.fo.extensions.InternalElementMapping

-     public class InternalElementMapping
      extends ElementMapping

  Element mapping for FOP's internal extension to XSL-FO.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.fo.ElementMapping

      `ElementMapping.Maker`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SCOPE`
    `static String` | `STANDARD_PREFIX` The standard XML prefix for elements and attributes in this namespace.
    `static String` | `STRUCT_ID` The "struct-id" attribute, to identify a structure tree element.
    `static String` | `STRUCT_REF` The "struct-ref" attribute, to refer to a structure tree element.
    `static String` | `URI` The FOP extension namespace URI

    - ### Fields inherited from class org.apache.fop.fo.ElementMapping

      `DEFAULT, foObjs, namespaceURI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalElementMapping()` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getStandardPrefix()`
    `protected void` | `initialize()` Initialize the data structures.
    `boolean` | `isAttributeProperty(org.apache.xmlgraphics.util.QName attributeName)` Indicates whether a particular attribute of the namespace is a property, i.e.

    - ### Methods inherited from class org.apache.fop.fo.ElementMapping

      `getDefaultDOMImplementation, getDOMImplementation, getNamespaceURI, getTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### URI

          public static final String URI

      The FOP extension namespace URI
      See Also:
        Constant Field Values

    - #### STANDARD_PREFIX

          public static final String STANDARD_PREFIX

      The standard XML prefix for elements and attributes in this namespace.
      See Also:
        Constant Field Values

    - #### STRUCT_ID

          public static final String STRUCT_ID

      The "struct-id" attribute, to identify a structure tree element.
      See Also:
        Constant Field Values

    - #### STRUCT_REF

          public static final String STRUCT_REF

      The "struct-ref" attribute, to refer to a structure tree element.
      See Also:
        Constant Field Values

    - #### SCOPE

          public static final String SCOPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### InternalElementMapping

          public InternalElementMapping()

      Constructor.

  - ### Method Detail

    - #### initialize

          protected void initialize()

      Initialize the data structures.
      Specified by:
        `initialize` in class `ElementMapping`

    - #### getStandardPrefix

          public String getStandardPrefix()

      Overrides:
        `getStandardPrefix` in class `ElementMapping`
      Returns:
        the standard namespace prefix for this namespace or null if it is not known.

    - #### isAttributeProperty

          public boolean isAttributeProperty(org.apache.xmlgraphics.util.QName attributeName)

      Indicates whether a particular attribute of the namespace is a property, i.e. the attribute value should be converted to a property value.
      Overrides:
        `isAttributeProperty` in class `ElementMapping`
      Parameters:
        `attributeName` - the attribute name
      Returns:
        true if the attribute should be converted to a property

Copyright © 2025 Apache Software Foundation. All rights reserved.